
module("luci.controller.nextcloud", package.seeall)

function index()
	entry({"admin", "apps"}, firstchild(), _("Apps") , 45).dependent = false
	if not nixio.fs.access("/etc/config/nextcloud") then
		return
	end

	local page = entry({"admin", "apps", "nextcloud"}, cbi("nextcloud"), _("Nextcloud"))
	page.order = 10
	page.dependent = true
	page.acl_depends = { "luci-app-nextcloud" }
	entry({"admin","apps","nextcloud","status"},call("act_status")).leaf=true
end
